> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Filter Config

> Updates an employee-sync filter configuration fields via FilterConfigService.updateFilterConfig.

Not available to API keys yet. It will need `integrations:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/update-filter-config
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/update-filter-config:
    post:
      operationId: updateFilterConfig
      summary: Update Filter Config
      description: >-
        Updates an employee-sync filter configuration fields via
        FilterConfigService.updateFilterConfig.


        Not available to API keys yet. It will need `integrations:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateFilterConfigRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateFilterConfigResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpdateFilterConfigRequest:
      type: object
      properties:
        orgID:
          type: string
          format: uuid
        name:
          type: string
          minLength: 1
          maxLength: 100
        description:
          type: string
          maxLength: 500
        filters:
          oneOf:
            - type: object
              properties:
                version:
                  const: '2.0'
                rootGroup: {}
              required:
                - version
                - rootGroup
            - type: object
              properties:
                email:
                  type: string
                givenName:
                  type: string
                familyName:
                  type: string
                externalEmployeeID:
                  type: array
                  items:
                    type: string
                positionID:
                  type: string
                country:
                  type: array
                  items:
                    type: string
                employmentType:
                  type: array
                  items:
                    type: string
                subEmploymentType:
                  type: string
                remarks:
                  type: string
                payrollEntity:
                  type: string
                payrollGroup:
                  type: string
                baseSalaryGreaterThan:
                  type: number
                baseSalaryLessThan:
                  type: number
                baseSalaryCurrency:
                  type: array
                  items:
                    type: string
                department:
                  type: string
                address:
                  type: string
                excludeTerminated:
                  type: boolean
                isActive:
                  type: boolean
          description: >-
            NOTE(ck): a recursive z.lazy() schema has no contract form; TGA
            still checks it
        isDefault:
          type: boolean
        appliesTo:
          type: array
          items:
            type: string
            enum:
              - ADP
              - WORKDAY
              - DEEL
              - UKG
              - BAMBOOHR
              - CSV_UPLOAD
              - QUICKBOOKS_ONLINE
              - GREENHOUSE
              - KOTA_BENEFITS
        syncMode:
          type: array
          items:
            type: string
            enum:
              - manual
              - automatic
        id:
          type: string
          format: uuid
        isActive:
          type: boolean
      required:
        - name
        - filters
        - id
    UpdateFilterConfigResponse:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        filters:
          oneOf:
            - type: object
              properties:
                version:
                  const: '2.0'
                rootGroup: {}
              required:
                - version
                - rootGroup
            - type: object
              properties:
                email:
                  type: string
                givenName:
                  type: string
                familyName:
                  type: string
                department:
                  type: string
                address:
                  type: string
                externalEmployeeID:
                  type: array
                  items:
                    type: string
                country:
                  type: array
                  items:
                    type: string
                employmentType:
                  type: array
                  items:
                    type: string
                baseSalaryCurrency:
                  type: array
                  items:
                    type: string
                baseSalaryGreaterThan:
                  type: number
                baseSalaryLessThan:
                  type: number
          description: >-
            NOTE(ck): a recursive z.lazy() schema has no contract form; TGA
            still checks it
        isDefault:
          type: boolean
        isActive:
          type: boolean
        syncMode:
          type:
            - array
            - 'null'
          items:
            type: string
        appliesTo:
          type:
            - array
            - 'null'
          items:
            type: string
        lastUsedAt:
          type:
            - string
            - 'null'
        usageCount:
          type: integer
        updatedBy:
          type:
            - string
            - 'null'
        updatedAt:
          type: string
      required:
        - id
        - name
        - description
        - filters
        - isDefault
        - isActive
        - syncMode
        - appliesTo
        - lastUsedAt
        - usageCount
        - updatedBy
        - updatedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
